Subject: bug#16242: 24.3; wish: set init directory (.emacs.d) by commandline flag for easy custom environments

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Aug 2019 19:12:57 -0700

Arne Babenhauserheide <[email-masked]> writes:

> There are nowadays quite a few customized Emacs environments (like
> prelude, emacs-for-python, elpy, and so forth), and testing them
> quickly can be quite a challenge, because they need to be intergrated
> with the local customizations.
>
> To ease that, it would be nice, if I could simply set the directory to
> use for my init with a commandline flag.
>
> This would make it possible to specialize my local emacs in several
> different ways - and to quickly show not-yet-emacs-users how emacs
> would work for their task: 
>
>     emacs --init-dir ~/emacs-init/python-ide # edit python

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

I think this sounds like a reasonable request, and I was surprised that
this doesn't exist yet.

You can achieve something like this with, for instance,

HOME=/tmp/foo emacs ...

or with --eval, but neither seem very logical.

Does anybody object to adding an --init-dir switch?  It would just
basically set `user-emacs-directory'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no